Change log for xpaint package in Ubuntu

117 of 17 results
Published in groovy-release on 2020-08-16
Deleted in groovy-proposed (Reason: moved to Release)
xpaint (2.9.1.4-4) unstable; urgency=medium

  * Orphaning the package

 -- Josue Abarca <email address hidden>  Sat, 15 Aug 2020 19:38:56 -0600

Available diffs

Superseded in groovy-release on 2020-08-16
Published in focal-release on 2019-10-18
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2017-10-24
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
xpaint (2.9.1.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use HTTPS in Vcs-* fields.
  * Bump debhelper compat version to 9 (to have dpkg buildflags exported
    in the env by dh).
  * Stop using hardening-wrapper, make use of dpkg-buildflags with
        DEB_BUILD_MAINT_OPTIONS=hardening=+all
    instead.  Closes: #836665
  * Remove menu file, the menu system has been deprecated by the
    tech-ctte.

 -- Mattia Rizzolo <email address hidden>  Tue, 27 Sep 2016 20:47:42 +0000
Superseded in yakkety-release on 2016-10-03
Deleted in yakkety-proposed on 2016-10-04 (Reason: moved to release)
xpaint (2.9.1.4-3.1build1) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <email address hidden>  Sat, 23 Apr 2016 00:33:48 +0000
Superseded in yakkety-release on 2016-04-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed (Reason: moved to release)
xpaint (2.9.1.4-3.1) unstable; urgency=low


  * Non-mantainer upload.
  * debian/control
    - Build depend on unversioned dev packages, libtiff-dev and libpng-dev.
      (Closes: #736051, #662567)
    - Build depend on hardening-wrapper to set security hardening compilation
      flags.
    - Bump Standards-Version to 3.9.5
      - Remove obsolete DM-Upload-Allowed control field.
    - Suggest imagemagick instead of imagemagickb typo.
    - libxaw3dxft6: Set section libs. (Closes: #693728)

 -- Per Andersson <email address hidden>  Sat, 02 Aug 2014 14:34:47 +0200
Superseded in utopic-release on 2014-08-22
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
xpaint (2.9.1.4-3ubuntu1) quantal; urgency=low

  * Build-depend on libtiff-dev rather than libtiff4-dev.
 -- Colin Watson <email address hidden>   Wed, 05 Sep 2012 01:07:23 +0100

Available diffs

Superseded in quantal-release on 2012-09-05
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
xpaint (2.9.1.4-3) unstable; urgency=low

  * image_h_internal_ifdef.diff patch added in order to use the new macro
    identifier _X11_XLIB_H_ or the old one _XLIB_H_, due to the changes in
    the new version of Xlib.h. (closes: bug#614484)
  * configure_indirect_linking.diff patch added in order to link against
    libfontconfig1, fixes FTBFS. Thanks to Roy Jamison
    <email address hidden> (closes: bug#556719) (LP: #667502)
  * debian/control Standards-Version increased to 3.9.1, no changes
    needed.
 -- Jean-Louis Dupond <email address hidden>   Wed,  13 Jul 2011 12:57:14 +0000

Available diffs

Superseded in oneiric-release on 2011-07-13
Obsolete in natty-release on 2013-06-04
xpaint (2.9.1.4-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - 99-binutils-gold: Add -lfontconfig for binutils-gold, fixes FTBFS
      (Closes: #556719)

Superseded in natty-release on 2011-01-18
xpaint (2.9.1.4-1ubuntu1) natty; urgency=low

  * 99-binutils-gold: Add -lfontconfig for binutils-gold, fixes FTBFS
    (LP: #667502)
 -- Roy Jamison <email address hidden>   Thu, 28 Oct 2010 01:38:15 +0200

Available diffs

Superseded in natty-release on 2010-10-28
xpaint (2.9.1.4-1) unstable; urgency=low

  * New upstream release.
    - debian/ directory removed.
    - Added man pages for imgmerge and pngconcat (provided by Debian
      maintainer).
  * debian/rules
    - Unnecessary export removed.
    - Use of dh_auto_configure script plus xaw3dxft.so option.
    - mkdir app-defaults/out added to avoid problems with git.
  * debian/patches/imgmerge-c-interface-fix.diff dropped,
    merged upstream.
  * debian/patches/Local.config.diff updated.
  * debian/patches/imgmerge-sensible-editor.diff updated.
  * debian/patches/xpaint_ocr_upstreamer.diff dropped,
    merged upstream.
  * debian/patches/xpaint.man.in.diff droped, merged upstream.
  * decian/control
    - Standards-Version increased to 3.9.0, no changes needed.
    - Vcs-Git and VCs-Browser fields added.
    - Package split into xpaint, xpaint-dev and libxaw3dxft6.
    - libxmu-dev, libxt-dev, libsm-dev, libice-dev, libxext-dev,
      libx11-dev, x11proto-core-dev, x11proto-xext-dev, flex
      and bison added to build-depends.
    - libxmu-dev, libxt-dev, libsm-dev, libice-dev, libxext-dev,
      libx11-dev, libxpm-dev, libxft-dev, libc-dev added to depends
      off binary package xpaint-dev.
  * debian/libxaw3dxft6.symbols added.
  * imakefile_extra_includes.diff patch added in order to add
    the ./xaw3dxft directory to the include path.
  * debian/copyright License of xaw3dxft added.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  15 Oct 2010 10:06:30 +0000

Available diffs

Superseded in natty-release on 2010-10-15
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
xpaint (2.8.13-2) unstable; urgency=low

  * debian/rules override dh_auto_configure to avoid inappropriate
    parameters and build using the Xaw3dg library instead of pain Xaw
  * Build dependen on version >= 7.0.50~ of debhelper because debhelper
    overrides need it

Available diffs

Superseded in lucid-release on 2010-02-15
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
Obsolete in gutsy-release on 2011-09-16
xpaint (2.7.8.1-1.2ubuntu1) gutsy; urgency=low

  * Added .desktop file (LP #133716)
  * Updated maintainer field

 -- Mario Bonino <email address hidden>   Thu, 30 Aug 2007 18:49:09 +0200
Superseded in gutsy-release on 2007-09-04
Obsolete in feisty-release on 2009-08-20
xpaint (2.7.8.1-1.2) unstable; urgency=low

  * Porter NMU.
  * Added support for GNU/kFreeBSD (closes: bug#332999).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  12 Dec 2006 11:10:43 +0000
Superseded in feisty-release on 2006-12-12
Obsolete in edgy-release on 2008-06-19
xpaint (2.7.8.1-1.1) unstable; urgency=low

  * Non-maintainer upload during bug-squashing party.
  * Local.config: adjust paths after the X migration (Closes: #364080).

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Jun 2006 16:26:10 +0100
Superseded in edgy-release on 2006-06-15
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
xpaint (2.7.8.1-1) unstable; urgency=low


  * New upstream release
    - incorporates debian/ directory
    - also incorporates previous manpage patch
    - as well as incorporates previous errno patch
    - compiler options changed (Closes: #327105)
  * debian/rules was changed
    - get the lintian overrides in the .deb
  * debian/watch was changed with another URL
  * configure script was changed to eliminate warning that
    the xaw3dg library was incompletely installed
  * Suggests: gs changed to gs-gpl
  * Standards Version changed to 3.6.2
  * Free Software Foundation address corrected in copyright

 -- Hugo Vanwoerkom <email address hidden>  Wed, 14 Sep 2005 08:23:01 -0500
Obsolete in breezy-release on 2008-03-25
xpaint (2.7.6-1) unstable; urgency=low


  * New upstream release
  * No debian/README.Debian: default recommended widget set is now Xaw3d
  * debian/control: build-depend on xaw3dg-dev
  * debian/rules: changed make to use xaw3dg instead of xaw

 -- Hugo Vanwoerkom <email address hidden>  Thu, 31 Mar 2005 06:50:41 -0600
Obsolete in hoary-release on 2008-03-19
xpaint (2.6.2-3) unstable; urgency=low


  * QA Group upload orphaning this package
  * Acknowledge old NMUs (closes: #237032, #86030, #86325, #170000, #262825)
  * debian/copyright: refer to common license file for GPL
  * debian/menu: quote unquoted strings
  * debian/menu: correct path to application
  * debian/control: build-depend on libpng12-dev instead of libpng12-dev

 -- Andrew Pollock <email address hidden>  Sun,  7 Nov 2004 14:46:17 +1100
Obsolete in warty-release on 2008-01-09
xpaint (2.6.2-2.2ubuntu1) warty; urgency=low


  * Build-depend: libtiff4-dev

 -- LaMont Jones <email address hidden>  Tue, 24 Aug 2004 07:14:21 -0600
117 of 17 results